> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pods Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/kubernetes/pods
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/pods:
    get:
      tags:
        - Kubernetes API
      summary: List Pods Endpoint
      operationId: list_pods_endpoint_api_v1_clusters__cluster_id__kubernetes_pods_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: namespace
          required: false
          schema:
            anyOf:
              - maxLength: 253
                type: string
              - type: 'null'
            title: Namespace
        - in: query
          name: namespaces
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Namespaces
        - in: query
          name: name_contains
          required: false
          schema:
            anyOf:
              - maxLength: 253
                type: string
              - type: 'null'
            title: Name Contains
        - in: query
          name: node_name
          required: false
          schema:
            anyOf:
              - maxLength: 253
                type: string
              - type: 'null'
            title: Node Name
        - in: query
          name: sort_by
          required: false
          schema:
            anyOf:
              - maxLength: 50
                type: string
              - type: 'null'
            title: Sort By
        - in: query
          name: sort_direction
          required: false
          schema:
            anyOf:
              - maxLength: 10
                type: string
              - type: 'null'
            title: Sort Direction
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPodsResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListPodsResponse:
      properties:
        cache_info:
          $ref: '#/components/schemas/CacheInfo'
        namespaces:
          items:
            type: string
          title: Namespaces
          type: array
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        pods:
          items:
            $ref: '#/components/schemas/PodSummary'
          title: Pods
          type: array
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - pods
        - total_count
        - page
        - page_size
        - total_pages
        - cache_info
        - namespaces
      title: ListPodsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CacheInfo:
      properties:
        served_from_cache:
          title: Served From Cache
          type: boolean
        staleness_seconds:
          title: Staleness Seconds
          type: integer
        sync_status:
          title: Sync Status
          type: string
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - served_from_cache
        - staleness_seconds
        - sync_status
      title: CacheInfo
      type: object
    PodSummary:
      properties:
        last_restart_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Restart Time
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        node_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Name
        nominated_node_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Nominated Node Name
        phase:
          title: Phase
          type: string
        pod_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Pod Ip
        readiness_gates:
          anyOf:
            - type: string
            - type: 'null'
          title: Readiness Gates
        ready:
          title: Ready
          type: string
        restarts:
          title: Restarts
          type: integer
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
        uid:
          title: Uid
          type: string
      required:
        - uid
        - name
        - namespace
        - phase
        - ready
        - restarts
        - last_restart_time
        - start_time
        - pod_ip
        - node_name
        - nominated_node_name
        - readiness_gates
      title: PodSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````